This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1309487 - Wireless card RTL8723BE PCIe has a very weak signal.
Wireless card RTL8723BE PCIe has a very weak signal.
Status: NEW
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-17 18:48 EST by Valentin Bajrami
Modified: 2017-08-30 16:28 EDT (History)
12 users (show)

See Also:
Fixed In Version: kernel-4.4.8-300.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-27 17:51:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dnf history info 269 (56.05 KB, text/plain)
2017-08-30 16:23 EDT, Valentin Bajrami
no flags Details

  None (edit)
Description Valentin Bajrami 2016-02-17 18:48:37 EST
Description of problem:

Wireless card RTL8723BE has a weak signal even if I stand next to the wireless AP. 

Version-Release number of selected component (if applicable):

08:00.0 Network controller: Realtek Semiconductor Co., Ltd. RTL8723BE PCIe Wireless Network Adapter

How reproducible:

The driver has been loaded but the signal is weak and network disconnects are frequently.


Steps to Reproduce:
1. lsmod | grep rtl8732be

rtl8723be              86016  0
btcoexist              53248  1 rtl8723be
rtl8723_common         24576  1 rtl8723be
rtl_pci                28672  1 rtl8723be
rtlwifi                73728  2 rtl_pci,rtl8723be
mac80211              696320  3 rtl_pci,rtlwifi,rtl8723be
cfg80211              536576  2 mac80211,rtlwifi
btrtl                  16384  1 btusb
bluetooth             487424  39 bnep,btbcm,btrtl,btusb,rfcomm,btintel

2. dmesg | grep rtl

[    3.392999] Bluetooth: hci0: rtl: examining hci_ver=06 hci_rev=000b lmp_ver=06 lmp_subver=8723
[    3.393003] Bluetooth: hci0: rtl: loading rtl_bt/rtl8723b_fw.bin
[    3.692495] rtl8723be: Using firmware rtlwifi/rtl8723befw.bin
[    3.696967] ieee80211 phy0: Selected rate control algorithm 'rtl_rc'
[    3.697504] rtlwifi: rtlwifi: wireless switch is on
[    3.701026] rtl8723be 0000:08:00.0 wlo1: renamed from wlan0
[   66.770706] Modules linked in: ccm rfcomm fuse cmac xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_broute bridge stp llc ebtable_filter ebtable_nat ebtables ip6table_mangle ip6table_raw ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_security ip6table_filter ip6_tables iptable_mangle iptable_raw iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_security bnep arc4 rtl8723be btcoexist rtl8723_common rtl_pci rtlwifi intel_rapl mac80211 x86_pkg_temp_thermal coretemp kvm iTCO_wdt iTCO_vendor_support hp_wmi crct10dif_pclmul ppdev sparse_keymap crc32_pclmul crc32c_intel snd_hda_codec_realtek cfg80211 snd_hda_codec_hdmi snd_hda_codec_generic
[   66.770741]  snd_hda_intel vfat fat btusb btrtl snd_hda_codec btbcm uvcvideo btintel bluetooth snd_hda_core videobuf2_vmalloc snd_hwdep videobuf2_core joydev snd_seq videobuf2_memops v4l2_common videodev snd_seq_device i2c_i801 snd_pcm media snd_timer processor_thermal_device lpc_ich int340x_thermal_zone snd shpchp rfkill intel_soc_dts_iosf soundcore hp_accel mei_me mei parport_pc lis3lv02d iosf_mbi parport hp_wireless input_polldev int3400_thermal acpi_thermal_rel acpi_pad tpm_tis tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc nouveau i915 mxm_wmi ttm i2c_algo_bit drm_kms_helper drm r8169 serio_raw mii wmi video fjes

3.

Actual results:

The signal is weka 

Expected results:


Additional info:
Comment 1 Valentin Bajrami 2016-02-23 08:42:05 EST
Just to report back.

The issue has been resolved by performing the following steps:

1) I pulled the github tree of rtl8723be drivers from here: https://github.com/lwfinger/rtlwifi_new

2) Did a ./configure && make && make install

3) Then created /etc/modprobe.d/50-rtl8723be.conf file with the following content:

options rtl8723be ips=0 ant_sel=2

4) Rebooted the machine and I had full signal now.


5) The topic describing this issue is here: https://github.com/lwfinger/rtlwifi_new/issues/34
Comment 2 Paul Fee 2016-04-17 18:16:52 EDT
Comments from lwfinger suggest antenna selection will be enhanced in kernel 4.7, though the code changes are suitable for back porting to earlier 4.x kernels.

https://github.com/lwfinger/rtlwifi_new/issues/28#issuecomment-198845381

This issue is affecting my HP 250 G4 laptop.  Having wireless networking work with Fedora, without building kernel modules would be great.

Thanks,
Paul
Comment 3 Fedora Update System 2016-04-20 19:24:17 EDT
kernel-4.4.8-300.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a1f49149e
Comment 4 Fedora Update System 2016-04-20 19:27:13 EDT
kernel-4.4.8-200.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-373c063e79
Comment 5 Fedora Update System 2016-04-21 23:23:42 EDT
kernel-4.4.8-200.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-373c063e79
Comment 6 Fedora Update System 2016-04-22 16:57:58 EDT
kernel-4.4.8-300.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a1f49149e
Comment 7 Fedora Update System 2016-04-27 17:50:52 EDT
kernel-4.4.8-300.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-05-06 15:52:56 EDT
kernel-4.4.8-200.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Samuel Sieb 2016-08-30 20:34:24 EDT
Why is this considered to be fixed?  In F24, on two different laptops I have had to add ant_sel=1 to modprobe for them to have working wifi.  Current kernel is 4.6.7-300.fc24.x86_64.
Comment 10 Paul Fee 2016-08-31 06:46:15 EDT
My understanding is that some manufactures have incorrectly set the fuses that indicate which port the antenna is connected to.  Normally the driver reads the hardware value and tells the card to use the signal from that port.  Before this "fix", the driver would use the wrong port as indicated by flawed hardware, resulting in a very weak signal.

Now that the upstream fix is present in Fedora, users have the option of manually telling the driver where the antenna is, overriding the incorrect hardware.

It would be even better if this correction could be done in software without manual intervention.  However if at all possible, that would be a task for the upstream driver maintainer.  Fedora has backported the "ant_sel" option, giving users the option of a manual workaround.

The fix is not ideal, but at least a manual workaround now exists.
Comment 11 Valentin Bajrami 2017-08-30 16:23 EDT
Created attachment 1320293 [details]
dnf history info 269
Comment 12 Valentin Bajrami 2017-08-30 16:27:32 EDT
After some recent updates on Fedora 26, Realtek rtl8723be wireless card has wifi signal problems. The signal is very weak again and I had to reopen this bug.

In the log you'll find the latest updates that broke the wireless card.

Current running kernel:

4.12.8-300.fc26.x86_64

If further information is required, please let me know.
Comment 13 Valentin Bajrami 2017-08-30 16:27:59 EDT
After some recent updates on Fedora 26, Realtek rtl8723be wireless card has wifi signal problems. The signal is very weak again and I had to reopen this bug.

In the log you'll find the latest updates that broke the wireless card.

Current running kernel:

4.12.8-300.fc26.x86_64

If further information is required, please let me know.

Note You need to log in before you can comment on or make changes to this bug.